---
# tasks file for roles/neovim-config
- name: ensure neovim is installed
  become: true
  apt:
    name: neovim
    state: latest

- name: ensure the presence of nvim folders
  file:
    path: "{{ item }}"
    state: directory
  with_items:
    - "{{ ansible_env.HOME }}/.config/nvim/"
    - "{{ ansible_env.HOME }}/.config/nvim/autoload"
    - "{{ ansible_env.HOME }}/.config/nvim/plugged"

- name: install vim-plug plugin manager
  get_url:
    url: "{{ vim_plug_url }}"
    dest: "{{ ansible_env.HOME }}/.config/nvim/autoload/plug.vim"
    checksum: "{{ vim_plug_sha }}"

- name: deploy the nvim config file
  template:
    src: init.vim.j2
    dest: "{{ ansible_env.HOME }}/.config/nvim/init.vim"

- name: set neovim as default editor globally
  become: true
  alternatives:
    name: editor
    path: /usr/bin/nvim
